curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/sso/organizations/{organization_id}/realms/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/sso/organizations/{organization_id}/realms/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/sso/organizations/{organization_id}/realms/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns a list of SSO realms associated with the specified organization. Each realm entry includes details such as ID, name, status, and timestamps for creation and updates.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Example
019a7752-8aaa-7042-9c3e-bcbbe47f5e67Unique identifier of the organization.
Query Parameters
Section titled “Query Parameters”Project ID Find your project id here
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Successfully retrieved the list of SSO realms.
object
E2E Resource Name (ERN) of the realm.
Details of the organization associated with this realm.
object
Display name of the realm or IdP configuration.
Type of SSO realm configured.
The Entity ID of the SAML 2.0 realm.
Assertion Consumer Service (ACS) endpoint URL for SAML authentication.
Unique identifier for the SSO realm.
Example
[ { "ern": "ern:e2e:sso::019a7752-8aaa-7042-9c3e-bcbbe47f5234:realm/019a7752-8b35-71fc-97a3-047de7132f66", "organization_detail": { "id": "019a7752-8aaa-7042-9c3e-bcbbe47f5e423", "ern": "ern:e2e:organizations::master-account:organization/019a7752-8aaa-7042-9c3e-bcbbe47f5e423", "org_ref": "612214921343", "name": "idp-778344", "email": null, "domain": null, "customer_id": "1790", "status": "ACTIVE", "sso_enabled": true, "created_at": "2025-11-12T09:08:09.517189Z", "updated_at": "2025-11-12T09:09:41.344411Z" }, "name": "idp-778344", "realm_type": "ENTERPRISE", "entity_id": "https://myaccount.e2enetworks.net/auth/realms/019a7752-8b35-71fc-97a3-047de7132f66", "acs_url": "https://myaccount.e2enetworks.net/auth/realms/019a7752-8b35-71fc-97a3-047de7132f66/broker/saml/endpoint", "realm_id": "019a7752-8b35-71fc-97a3-047de7132f66", "status": "ACTIVE", "created_at": "2025-11-12T09:08:09.654675Z", "updated_at": "2025-11-12T09:08:32.396138Z" }]